org.keycloak.models.jpa.entities

## Class SocialLinkEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.SocialLinkEntity

-     @Entity
      public class SocialLinkEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SocialLinkEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `realmId`
    `protected String` | `socialProvider`
    `protected String` | `socialUserId`
    `protected String` | `socialUsername`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocialLinkEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRealmId()`
    `String` | `getSocialProvider()`
    `String` | `getSocialUserId()`
    `String` | `getSocialUsername()`
    `UserEntity` | `getUser()`
    `void` | `setRealmId(String realmId)`
    `void` | `setSocialProvider(String socialProvider)`
    `void` | `setSocialUserId(String socialUserId)`
    `void` | `setSocialUsername(String socialUsername)`
    `void` | `setUser(UserEntity user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realmId

          protected String realmId

    - #### socialProvider

          protected String socialProvider

    - #### socialUserId

          protected String socialUserId

    - #### socialUsername

          protected String socialUsername

  - ### Constructor Detail

    - #### SocialLinkEntity

          public SocialLinkEntity()

  - ### Method Detail

    - #### getUser

          public UserEntity getUser()

    - #### setUser

          public void setUser(UserEntity user)

    - #### getSocialProvider

          public String getSocialProvider()

    - #### setSocialProvider

          public void setSocialProvider(String socialProvider)

    - #### getSocialUserId

          public String getSocialUserId()

    - #### setSocialUserId

          public void setSocialUserId(String socialUserId)

    - #### getSocialUsername

          public String getSocialUsername()

    - #### setSocialUsername

          public void setSocialUsername(String socialUsername)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

Copyright © 2015. All Rights Reserved.